Subject: Re: [TR] How to remove a frozen wire wheel from a non running TriumphStag

From: "Randall" <[email-masked]>
Date: Fri, 1 May 2015 18:09:42 -0700

> I can't remove the nut. Can't roll it very easily to rock it either 
> if I apply heat the chrome nut will it mar the chrome.
> I have one of those extended wrenches especially for the wheel nut.

When it happened to me, we just kept wailing on the stock steel wrench for the safety knockoffs, with a heavy steel hammer.  Took
two of us, working in shifts, and about 1/2 hour but it did eventually come off.  Made a mess of the wrench too, but it was still
usable afterwards (and a new one wasn't too expensive as I recall).

Yes, heat will mess up the chrome, but at some point, getting it apart is more important than saving the pieces.

-- Randall  

** [email-masked] **

Archive: http://www.team.net/archive